Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.xni.parser
Interface XMLDTDSource

All Known Subinterfaces:
  XMLDTDFilter, XMLDTDScanner

public interface XMLDTDSource

Defines a DTD source. In other words, any object that implements this interface is able to emit DTD "events" to the registered DTD handler. These events could be produced by parsing an XML document's internal or external subset, could be generated from some other source, or could be created programmatically. This interface does not say how the events are created, only that the implementor is able to emit them.

Version:
  $Id: XMLDTDSource.java,v 1.4 2002/12/07 00:07:51 neilg Exp $
Author:
  Andy Clark, IBM

Method Summary
`XMLDTDHandler` | `getDTDHandler()` Returns the DTD handler.
`void` | `setDTDHandler(XMLDTDHandler handler)` Sets the DTD handler.

Method Detail

### setDTDHandler

    public void setDTDHandler(XMLDTDHandler handler)

  Sets the DTD handler.

### getDTDHandler

    public XMLDTDHandler getDTDHandler()

  Returns the DTD handler.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.